Subject: Re: network devices don't handle pci_dma_mapping_error()'s

From: Muli Ben-Yehuda <[email-masked]>
Date: Tue, 5 Dec 2006 09:00:45 +0200

On Mon, Dec 04, 2006 at 10:39:49AM -0800, Stephen Hemminger wrote:

> I notice that no current network driver handles dma mapping errors.
> Might that be part of the problem.  On i386, this never happens, and
> it would be rare on most others.

IOMMUs are already available on x86-64 and are going to get widespread
with the the introduction of IOMMUs from Intel and AMD. Might as well
fix it now...

How about CONFIG_DEBUG_DMA_API that does book-keeping and yells if a
driver is mis-using the DMA API?

Cheers,
Muli